Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
validators
/
stability
List Stability validators.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/validators/stability \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "blocks_validated_count": 1
    }
  ],
  "next_page_params": {
    "address_hash": "0x0000000000000000000000000000000000000805",
    "blocks_validated": 100,
    "state": "active"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

state_filter
string

Comma-separated list of validator states to keep. Allowed values: active, probation, inactive (case-sensitive).

Pattern: ^(active|probation|inactive)(,(active|probation|inactive))*$
sort
enum<string>

Sort results by:

  • state - Sort by validator operational state
  • address_hash - Sort by address hash
  • blocks_validated - Sort by number of blocks validated by the validator Should be used together with order parameter.
Available options:
state,
address_hash,
blocks_validated
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
state
enum<string>

Cursor field — validator state from the previous page's next_page_params.

Available options:
active,
probation,
inactive
address_hash
string

Cursor field — validator address hash from the previous page's next_page_params.

Pattern: ^0x([A-Fa-f0-9]{40})$
blocks_validated
integer

Cursor field — number of blocks validated from the previous page's next_page_params.

Required range: x >= 0

Response

List of Stability validators.

items
StabilityValidator · object[]
required
next_page_params
object
required
Example:
{
"address_hash": "0x0000000000000000000000000000000000000805",
"blocks_validated": 100,
"state": "active"
}